<!doctype html>
<html class="scroll-smooth">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link href="{{ '/_assets/css/main.css' | url }}" rel="stylesheet" />
    <link href="{{ '/_assets/css/theme.css' | url }}" rel="stylesheet">
    <link rel="icon" type="image/png" href="{{ '/_assets/img/badgie-favicon-32x32.png' | url }}" />
    <title>Badgie!{% if title %} - {{ title }}{% endif %}</title>
  </head>
  <body>
    <header class="bg-badgie-blue">
      <div class="container mx-auto flex justify-center items-center">
        <a href="{{ '/' | url }}" class="h-auto 2xl:w-1/4 xl:w-1/3 lg:w-2/5 md:w-1/2 w-8/12 py-6">
          <img class="" src="{{ '/_assets/img/badgie-illustration.png' | url }}" alt="badgie illustration">
        </a>
      </div>
      <div class="bg-badgie-blue-darker-100 py-3 -mt-12 flex justify-center items-center 2xl:h-24 sm:max-2xl:h-24 h-20">
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="currentColor" class="w-6 h-6 mx-1 inline align-baseline text-yellow-400 mx-2">
          <path fill-rule="evenodd" d="M10.788 3.21c.448-1.077 1.976-1.077 2.424 0l2.082 5.007 5.404.433c1.164.093 1.636 1.545.749 2.305l-4.117 3.527 1.257 5.273c.271 1.136-.964 2.033-1.96 1.425L12 18.354 7.373 21.18c-.996.608-2.231-.29-1.96-1.425l1.257-5.273-4.117-3.527c-.887-.76-.415-2.212.749-2.305l5.404-.433 2.082-5.006z" clip-rule="evenodd" />
        </svg>
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="currentColor" class="w-6 h-6 mx-1 inline align-baseline text-yellow-400 mx-2">
          <path fill-rule="evenodd" d="M10.788 3.21c.448-1.077 1.976-1.077 2.424 0l2.082 5.007 5.404.433c1.164.093 1.636 1.545.749 2.305l-4.117 3.527 1.257 5.273c.271 1.136-.964 2.033-1.96 1.425L12 18.354 7.373 21.18c-.996.608-2.231-.29-1.96-1.425l1.257-5.273-4.117-3.527c-.887-.76-.415-2.212.749-2.305l5.404-.433 2.082-5.006z" clip-rule="evenodd" />
        </svg>
        <h1 class="text-yellow-400 2xl:text-4xl xl:text-3xl lg:text-3xl text-2xl font-semibold px-5 py-2">
          <a href="{{ '/' | url }}">Badgie!</a>
        </h1>
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="currentColor" class="w-6 h-6 mx-1 inline align-baseline text-yellow-400 mx-2">
          <path fill-rule="evenodd" d="M10.788 3.21c.448-1.077 1.976-1.077 2.424 0l2.082 5.007 5.404.433c1.164.093 1.636 1.545.749 2.305l-4.117 3.527 1.257 5.273c.271 1.136-.964 2.033-1.96 1.425L12 18.354 7.373 21.18c-.996.608-2.231-.29-1.96-1.425l1.257-5.273-4.117-3.527c-.887-.76-.415-2.212.749-2.305l5.404-.433 2.082-5.006z" clip-rule="evenodd" />
        </svg>
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="currentColor" class="w-6 h-6 mx-1 inline align-baseline text-yellow-400 mx-2">
          <path fill-rule="evenodd" d="M10.788 3.21c.448-1.077 1.976-1.077 2.424 0l2.082 5.007 5.404.433c1.164.093 1.636 1.545.749 2.305l-4.117 3.527 1.257 5.273c.271 1.136-.964 2.033-1.96 1.425L12 18.354 7.373 21.18c-.996.608-2.231-.29-1.96-1.425l1.257-5.273-4.117-3.527c-.887-.76-.415-2.212.749-2.305l5.404-.433 2.082-5.006z" clip-rule="evenodd" />
        </svg>
      </div>
    </header>
    <main class="bg-badgie-blue-darker-300 pb-14">
      <nav class="navbar bg-badgie-blue-darker-200 py-3 px-4 sticky -top-px z-10 drop-shadow">
        <div class="container max-w-screen-lg mx-auto flex justify-center h-11">
          <div class="nav-items grid grid-cols-3 place-items-center gap-4">
            <a
              class="justify-self-end {% if page.url == '/' %}text-yellow-400{% else %}text-white{% endif %} bg-transparent font-semibold text-xl me-2 px-1 hover:text-yellow-400 transition duration-200 hover:ease-in-out"
              href="{{ '/' | url }}"
              >Home</a
            >
            <a class="justify navbar-brand opacity-0 hidden" href="{{ '/' | url }}">
              <img class="h-auto w-20"
              src="{{ '/_assets/img/badgie-icon.svg' | url }}" alt="badgie-icon" />
            </a>
            <a
              class="{% if page.url == '/badges/' %}text-yellow-400{% else %}text-white{% endif %} bg-transparent font-semibold text-xl ms-2 px-1 hover:text-yellow-400 transition duration-200 hover:ease-in-out"
              href="{{ '/badges' | url }}"
              >Badges</a
            >
          </div>
        </div>
      </nav>

      <div class="pt-8 px-8">
      {% block content %}
        {{ content }}
      {% endblock content %}
      </div>
    </main>

    <footer class="bg-badgie-blue-darker-400 py-5 px-8">
      <div class="container max-w-screen-lg mx-auto">
        <div class="grid grid-cols-12 text-slate-300">
          <span class="2xl:col-span-4 sm:max-2xl:col-span-4 col-span-12 2xl:text-start sm:max-2xl:text-start text-center">© 2023 <a class="text-sky-400 no-underline hover:underline" href="https://brettops.io/">BrettOps Inc</a>.</span>
          <span class="2xl:col-span-8 sm:max-2xl:col-span-8 col-span-12 2xl:text-end sm:max-2xl:text-end text-center">Last updated: {{ badgeListing.generated | date: "%A, %B %d, %Y" }}
            at {{ badgeListing.generated | date: "%H:%M %z" }}</span>
        </div>
      </div>
    </footer>
    <script src="{{ '/_assets/js/main.js' | url }}"></script>
  </body>
</html>
